### Class

# Gtk CustomFilter

#### Description [src]

    final class Gtk.CustomFilter : Gtk.Filter
    {
      /* No available fields */
    }

Determines whether to include items with a callback.

#### Ancestors

- GtkFilter
- GObject

#### Constructors

###### gtk_custom_filter_new

Creates a new filter using the given function to filter items.

#### Instance methods

###### gtk_custom_filter_set_filter_func

Sets the function used for filtering items.

##### Methods inherited from GtkFilter (3)

###### gtk_filter_changed

Notifies all users of the filter that it has changed.

###### gtk_filter_get_strictness

Gets the known strictness of a filter.

###### gtk_filter_match

Checks if the given `item` is matched by the filter or not.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GtkFilter (1)

###### GtkFilter::changed

Emitted whenever the filter changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkCustomFilterClass {
      GtkFilterClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkFilterClass`

  No description available.